# RegistrationApp for Django: Register users, with e-mail verification and CAPTCHA.
#
# Copyright (C) 2008  Juergen Brendel
#
# Dual licensed under AGPL and BSD license.

# We use a couple of helper functions in different files, so we
# factor them out into a separate module.

from django.contrib.auth.decorators import user_passes_test

from reg_settings import *

# We don't use the standard login_required decorator, since it
# doesn't allow me to specify our non-standard login URL. Therefore,
# we are making our own here.
reg_login_required     = user_passes_test(lambda u: u.is_authenticated() and u.is_active and (allow_unconfirmed  or  u.get_profile().is_confirmed),
                                            login_url=reg_prefix + "/login")
reg_logout_required    = user_passes_test(lambda u: not u.is_authenticated(), login_url=reg_prefix + "/logout/needed")
reg_confirmed_required = user_passes_test(lambda u: u.get_profile().is_confirmed, login_url=reg_prefix + "/conf/needed")

# A small convenience function to see check if the user has confirmed his login already
reg_is_confirmed       = lambda req: req.user.get_profile().is_confirmed


