# This is where we can adjust the various settings of the
# RegistrationApp.

reg_prefix    = "/register"
"""The prefix that was configured for the registreation-app in the root URLs."""

reg_home_page = "/user_home"
"""Some templates in registration refer back to the user's home directory. You only need to specify it here once."""

site_email = "some@email.net"
"""The e-mail address from which we are sending registration confirmation e-mails."""

site_url   = "http://127.0.0.1:8000"
"""The URL at which our site is located."""

registration_timeout = 60*60*24   # in seconds
"""The amount of time a user has to click on the link in the confirmation e-mail."""

captcha_font_dir = "/<..... absolute path .....>/django/mysite/registration/fonts"

allow_unconfirmed = False


#
# Various e-mail messages.
#
email_sub_confirmation = "XXYYZZ registration confirmation"
email_msg_confirmation = """

Hello!

Thank you very much for registering with XXYYZZ.

To confirm your account, please click on this link:

    %s%s/conf?key=%s

Thank you very much!
""" % (site_url, reg_prefix, "%s")     # We only replace the first two %s in the string. We want to keep the other one.

email_sub_address_changed = "XXYYZZ e-mail address change"
email_msg_address_changed = """

Hello!

Your e-mail address on file with XXYYZZ has been changed.
It used to be '%s', but it is now '%s'.

Thank you very much!
"""




