# RegistrationApp for Django: Register users, with e-mail verification and CAPTCHA.
#
# Copyright (C) 2008  Juergen Brendel
#
# Dual licensed under AGPL and BSD license.

# We use our own request processor, to attach a couple of usefule attributes
# to each request. They are then available in the form templates and the
# view functions to be used any which way you see fit.
#
# Most of these are needed for the RegistrationApp, but some of them might
# be useful in your templates as well.

from reg_settings import *

def reg_header_processor(req):
    """A context processor that provides information for the header."""
    param = {}
    try:
        param['reg_h_is_logged_in'] = 1
        param['reg_h_is_confirmed'] = req.user.get_profile().is_confirmed
        param['reg_h_username']     = req.user.username
        param['reg_h_user_email']   = req.user.email
    except:
        # We get an exception here, if we are not a registered user
        # and therefore don't have a profile.
        param['reg_h_is_logged_in'] = 0
        param['reg_h_is_confirmed'] = 0
        param['reg_h_username']     = "(anonymous)"
        param['reg_h_user_email']   = ""
    param['reg_h_prefix'] = reg_prefix
    param['reg_h_home']   = reg_home_page

    return param
