
# The normal URI dispatcher for the RegistrationApp.
# This file should be included into the ROOT_URL dispatcher,
# probably with some nice prefix.

from django.conf.urls.defaults import *
from django.contrib.auth.views import login, logout, password_change, password_change_done, password_reset, password_reset_done
from django.views.generic.simple import redirect_to, direct_to_template

from mysite.registration.views import register, registration_email_sent, \
                                email_change, email_change_done, edit_settings, confirm_registration, get_captcha


urlpatterns = patterns('',
    (r'^admin/',      include('django.contrib.admin.urls')),

    (r'^$',                          register),
    (r'^login/$',                    login,  { 'template_name' : 'login.html' }),
    (r'^logout/$',                   logout, { 'template_name' : 'logout.html' }),
    (r'^logout/needed/$',            direct_to_template, { 'template' : 'logout_needed.html' }),
    (r'^registration_email_sent/$',  registration_email_sent),
    (r'^password_change/$',          password_change, { 'template_name' : 'password_change_form.html' }),
    (r'^password_change/done/$',     password_change_done, { 'template_name' : 'password_change_done.html' }),
    (r'^password_reset/$',           password_reset, { 'template_name' : 'password_reset_form.html', 'email_template_name' : 'password_reset_email.html' }),
    (r'^password_reset/done/$',      password_reset_done, { 'template_name' : 'password_reset_done.html' }),
    (r'^email_change/$',             email_change),
    (r'^email_change/done/$',        email_change_done),
    (r'^edit_settings/$',            edit_settings),
    (r'^conf/needed/$',              direct_to_template, { 'template' : 'confirmation_needed.html' }),
    (r'^conf/$',                     confirm_registration),
    (r'^get_captcha/$',              get_captcha),
)

